Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class InsertionSort

    java.lang.Object
      org.exist.util.InsertionSort

public final class InsertionSort
extends java.lang.Object

This class implements a version of the insertion sort algorithm. The implementation is inspired on the work of Michael Maniscalco in C++ http://www.michael-maniscalco.com/sorting.htm

Author:
  José María Fernández

Constructor Summary
`InsertionSort()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `sort(java.lang.Comparable[] a, int lo0, int hi0)`
`static void` | `sort(java.util.List a, int lo0, int hi0)`
`static void` | `sort(long[] a, int lo0, int hi0, java.lang.Object[] b)`
`static void` | `sort(java.lang.Object[] a, java.util.Comparator comp, int lo0, int hi0)`
`static void` | `sortByNodeId(NodeProxy[] a, int lo0, int hi0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertionSort

    public InsertionSort()

Method Detail

### sortByNodeId

    public static final void sortByNodeId(NodeProxy[] a,
                                          int lo0,
                                          int hi0)

### sort

    public static final void sort(java.lang.Comparable[] a,
                                  int lo0,
                                  int hi0)

### sort

    public static final void sort(java.lang.Object[] a,
                                  java.util.Comparator comp,
                                  int lo0,
                                  int hi0)

### sort

    public static final void sort(java.util.List a,
                                  int lo0,
                                  int hi0)

### sort

    public static final void sort(long[] a,
                                  int lo0,
                                  int hi0,
                                  java.lang.Object[] b)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.